Pix ProcessamentoPix Processamento Docs
API EndpointsReports

Transaction summary

GET
/user/summary

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

dateFrom?string
Formatdate-time
dateTo?string
Formatdate-time
groupBy?string
Default"day"
Value in"day" | "hour"
grouped?boolean

When true, returns a series grouped by date.

Response Body

application/json

curl --request GET \  --url 'https://api.exemplo.processamento.com/v1/user/summary' \  --header 'Authorization: Bearer $PIX_TOKEN'
{
  "totalTransactions": 42,
  "deposit": {
    "totalAmount": 1500,
    "totalTransactions": 20,
    "statuses": {
      "pending": {
        "count": 1,
        "amount": 100,
        "serviceFeeCharged": 1.5
      },
      "completed": {
        "count": 18,
        "amount": 1350,
        "serviceFeeCharged": 20
      },
      "canceled": {
        "count": 0,
        "amount": 0,
        "serviceFeeCharged": 0
      },
      "expired": {
        "count": 1,
        "amount": 50,
        "serviceFeeCharged": 0
      },
      "refunded": {
        "count": 0,
        "amount": 0,
        "serviceFeeCharged": 0
      }
    }
  },
  "withdraw": {
    "totalAmount": 800,
    "totalTransactions": 12,
    "statuses": {
      "pending": {
        "count": 0,
        "amount": 0
      },
      "completed": {
        "count": 12,
        "amount": 800
      },
      "canceled": {
        "count": 0,
        "amount": 0
      },
      "expired": {
        "count": 0,
        "amount": 0
      },
      "refunded": {
        "count": 0,
        "amount": 0
      }
    }
  },
  "commission": {
    "totalAmount": 30,
    "totalTransactions": 10,
    "statuses": {
      "pending": {
        "count": 0,
        "amount": 0
      },
      "completed": {
        "count": 10,
        "amount": 30
      },
      "canceled": {
        "count": 0,
        "amount": 0
      },
      "expired": {
        "count": 0,
        "amount": 0
      },
      "refunded": {
        "count": 0,
        "amount": 0
      }
    }
  }
}